Category suggestion is case sensitive
Closed, ResolvedPublic

Description

Author: neilk

Description:
From the feedback...

When I upload a picture of The Bronx and start typing a category of "the bro..." the selector offers "The bronze..." but not "The Bronx..." presumably because I didn't capitalize the place name. Other programs with autocompletion don't mind whether we use caps or not and this one also should offer both upper and lower case completions. [[User:Jim.henderson|Jim.henderson]]

There does not seem to be any option for the builtin 'query' API to treat the query as case-insensitive.

The Commons search box uses the OpenSearch API (from Extension:OpenSearch) which seems to be case insensitive by default. It is possible to limit an opensearch query to a particular namespace, so this could be used with the category suggest. The result format is slightly different though.


Version: unspecified
Severity: normal

bzimport set Reference to bz28740.
bzimport created this task.Via LegacyApr 28 2011, 7:20 PM
brion added a comment.Via ConduitApr 29 2011, 6:17 PM

Using the opensearch interface is probably the right thing to do; it'll also pick up improvements on the search like not being limited to strict prefix matches in an advanced search engine.

We should make sure that there's a dead-easy way to slap a standard typeahead search suggestion box with given namespace limit settings onto any field, since this is going to be pretty common in advanced editing tools.

Bawolff added a comment.Via ConduitApr 29 2011, 6:22 PM

We actually already have some js that sort of does that - os_initHandlers(<id of input box>,<id of form element>,<inout element>); which will look at hidden input fields to determine which namespaces to search, but its not exactly very jQuery-esq.

Catrope added a comment.Via ConduitApr 29 2011, 6:22 PM

(In reply to comment #2)

We actually already have some js that sort of does that - os_initHandlers(<id
of input box>,<id of form element>,<inout element>); which will look at hidden
input fields to determine which namespaces to search, but its not exactly very
jQuery-esq.

resources/jquery/jquery.suggestions.js

brion added a comment.Via ConduitApr 29 2011, 6:27 PM

Roan suggests nipping the bits from WikiEditor's link dialog as a model; it uses the opensearch lookup and the jquery.suggestion plugin to handle all the actual drop-down controls.

Probably one could merge that into a common module that can be called from both places for future maintainability.

The goodies are in jquery.wikiEditor.dialogs.config.js -- find the 'Title suggestions' section where it sets the field up.

bzimport added a comment.Via ConduitAug 19 2011, 7:12 PM

mhershberger wrote:

Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734

JeroenDeDauw added a comment.Via ConduitSep 16 2011, 2:01 PM

Seems like the bug is still on trunk. I'll have a go at it.

JeroenDeDauw added a comment.Via ConduitSep 18 2011, 6:51 PM

(In reply to comment #4)

Roan suggests nipping the bits from WikiEditor's link dialog as a model; it
uses the opensearch lookup and the jquery.suggestion plugin to handle all the
actual drop-down controls.

I just tried it out, and it appears to be case-sensitive as well. Is this intended, or should it also be fixed?

Bawolff added a comment.Via ConduitSep 18 2011, 7:53 PM

(In reply to comment #7)

(In reply to comment #4)
> Roan suggests nipping the bits from WikiEditor's link dialog as a model; it
> uses the opensearch lookup and the jquery.suggestion plugin to handle all the
> actual drop-down controls.

I just tried it out, and it appears to be case-sensitive as well. Is this
intended, or should it also be fixed?

Is that on wikimedia, or on your own wiki. Case-insensitivity is provided by [[extension:TitleKey]] I believe.

JeroenDeDauw added a comment.Via ConduitSep 18 2011, 9:40 PM

My local wiki; will have a look at that extension.

JeroenDeDauw added a comment.Via ConduitNov 21 2011, 4:44 PM

I just had another look at this, and it appears to have been fixed in the meanwhile already.

MarkTraceur added a comment.Via ConduitSep 7 2012, 3:24 PM
  • This bug has been marked as a duplicate of bug 40076 ***
Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:25 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:20 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.